#ifndef GRIFO_FW_BLOB_IF_H
#define GRIFO_FW_BLOB_IF_H

namespace girfo_fw
{

class Blob
{
public:
    explicit Blob(void*);

    void initialize();
    void clear();

    unsigned int usedSize();
    unsigned int maxSize();

protected:
    void* blob_reference;
};

}//namespace

#endif // GRIFO_FW_BLOB_IF_H
